#
# Xenomai Real-Time System
#
# Copyright (c) Siemens AG, 2019 - 2021
#
# Authors:
#  Quirin Gylstorff <quirin.gylstorff@siemens.com>
#
# SPDX-License-Identifier: MIT
#
stages:
  - parent

xenomai next:
  stage: parent
  trigger:
    include:
      - local: '/ci/no-artifacts.yml'
      - local: '/ci/xenomai_next.yml'
    strategy: depend

xenomai 3.0.x:
  stage: parent
  trigger:
    include:
      - local: '/ci/no-artifacts.yml'
      - local: '/ci/xenomai_3_0_x.yml'
    strategy: depend

xenomai 3.1.x:
  stage: parent
  trigger:
    include:
      - local: '/ci/no-artifacts.yml'
      - local: '/ci/xenomai_3_1_x.yml'
    strategy: depend
